Bug 989264 - [abrt] wifi-radar-2.0.s08-5.fc19: wifi-radar:2562:destroy:AttributeError: StatusWindow instance has no attribute 'dialog'
[abrt] wifi-radar-2.0.s08-5.fc19: wifi-radar:2562:destroy:AttributeError: Sta...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wifi-radar (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:f4f7014be6c8d82098a318fea9d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 17:59 EDT by Tim Waugh
Modified: 2015-02-17 11:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (446 bytes, text/plain)
2013-07-28 17:59 EDT, Tim Waugh
no flags Details
File: core_backtrace (156 bytes, text/plain)
2013-07-28 17:59 EDT, Tim Waugh
no flags Details
File: environ (196 bytes, text/plain)
2013-07-28 17:59 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2013-07-28 17:59:34 EDT
Description of problem:
Closing the application.

Version-Release number of selected component:
wifi-radar-2.0.s08-5.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -OO /usr/sbin/wifi-radar
executable:     /usr/sbin/wifi-radar
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
wifi-radar:2562:destroy:AttributeError: StatusWindow instance has no attribute 'dialog'

Traceback (most recent call last):
  File "/usr/sbin/wifi-radar", line 973, in destroy
    self.status_window.destroy()
  File "/usr/sbin/wifi-radar", line 2562, in destroy
    self.dialog.destroy()
AttributeError: StatusWindow instance has no attribute 'dialog'

Local variables in innermost frame:
self: <__main__.StatusWindow instance at 0x7f2d68003d88>

Potential duplicate: bug 819183
Comment 1 Tim Waugh 2013-07-28 17:59:38 EDT
Created attachment 779452 [details]
File: backtrace
Comment 2 Tim Waugh 2013-07-28 17:59:42 EDT
Created attachment 779453 [details]
File: core_backtrace
Comment 3 Tim Waugh 2013-07-28 17:59:45 EDT
Created attachment 779454 [details]
File: environ
Comment 4 Stan King 2013-11-26 06:31:22 EST
Description of problem:
The error occured while I was trying to exit.  The application had performed 3 or 4 sweeps of the available wi-fi access points.

Version-Release number of selected component:
wifi-radar-2.0.s08-5.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python -OO /sbin/wifi-radar
executable:     /sbin/wifi-radar
kernel:         3.11.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
wifi-radar:2562:destroy:AttributeError: StatusWindow instance has no attribute 'dialog'

Traceback (most recent call last):
  File "/sbin/wifi-radar", line 973, in destroy
    self.status_window.destroy()
  File "/sbin/wifi-radar", line 2562, in destroy
    self.dialog.destroy()
AttributeError: StatusWindow instance has no attribute 'dialog'

Local variables in innermost frame:
self: <__main__.StatusWindow instance at 0x1274c20>
Comment 5 Fedora End Of Life 2015-01-09 14:08:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:24:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.